
Redmine - Defect #747

Uploadfile error ?!

2008-02-28 05:10 - li wei

Status: Closed Start date: 2008-02-28

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Errno::EINVAL in MessagesController#reply

Invalid argument - ./files/080228121105_图.ppt

RAILS_ROOT: ./script/../config/..

Application Trace | Framework Trace | Full Trace

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/app/models/attachment.rb:59:in `initialize'

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/app/models/attachment.rb:59:in `open'

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/app/models/attachment.rb:59:in `before_save'

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/app/controllers/application.rb:154:in `attach_files'

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/app/controllers/application.rb:152:in `each'

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/app/controllers/application.rb:152:in `attach_files'

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/app/controllers/messages_controller.rb:57:in `reply'

D:/InstantRails-2.0-win/rails_apps/redmine-0.6.3/vendor/rails/activerecord/lib/active_record/callbacks.rb:348:in `send'

Request

Parameters: {"commit"=>"提交", "reply"=>{"subject"=>"RE: 论坛附件功能测试，上传个大文件试一下。", "content"=>"s"}, "id"=>"7", "board_id"=>"3",

"attachments"=>[#<File:C:/DOCUME~1/admin/LOCALS~1/Temp/CGI.5348.5>]}

Related issues:

Is duplicate of Redmine - Defect #1089: attachement's name maybe invalid. Closed 2008-04-23

Associated revisions

Revision 1433 - 2008-05-17 13:03 - Jean-Philippe Lang

Fixed: possible error when attachment's filename is non-ASCII (#747, #1243, #1089).

History

#1 - 2008-02-28 05:11 - li wei

- File 图.ppt added

#2 - 2008-02-28 17:57 - Jean-Philippe Lang

It looks like it works here. Does this problem occur with that particular file only ?

#3 - 2008-03-01 10:50 - Brad Miller

I'm having this issue too.  It appears to be an issue with Safari.  I get error page every time and have had reports from my users of it happening.  If I

try to upload the same file with Firefox (2.0.0.12) it works correctly.  So it looks like something is broken with Safari and file uploads.

I was running r1137 and upgraded to r1183 tonight.  The problem happens on both.

#4 - 2008-03-12 15:42 - Ben Oakes

I've had a similar issue, but it seems to only happen sporadically.  (I.e., I just tested it now, but it worked.  But i've often had to just fire up Firefox after

losing the note I've written, etc, just to re-do everything.)

#5 - 2008-03-18 05:51 - li wei

- Assignee set to Jean-Philippe Lang

I found a new bug ,please help me :(
https://www.redmine.org/projects/redmine/repository/svn/revisions/1137
https://www.redmine.org/projects/redmine/repository/svn/revisions/1183


redMine 500 error

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

demo site:  http://202.99.27.201:8081

#6 - 2008-03-23 11:18 - Brad Miller

For the Safari aspect of this bug that I reported on in comment 3, it appears to be fixed with Safari 3.1 for the mac.  I can successfully upload files with

it on the same version of Redmine as before.  It looks like the Safari team fixed what ever issue Safari had with uploads.

#7 - 2008-04-29 11:57 - Edward Chang

The same to me.

When I change internet explorer's encode to Big5(Default is UTF8), It can be upload(Our country's computer is default using Big5).

I guess it's a problem when file save to disk is using encode UTF8. Not our country's encode.

#8 - 2008-05-05 16:07 - Edward Chang

- Target version set to 0.7.1

About Invalid argument - ./files/080228121105_图.ppt

May I ask, When file save to "files" directory, Don't use orange file name to save to directory and let we try to upload? I guess it's a program about

charset.

(ex: file name "./files/080228121105_图.ppt", Change to "./files/080228121105_(time, minute, millisecond or else).ppt" to save it.)

Because it's really a big program to use it when we can't upload files.

Thanks.

#9 - 2008-05-06 23:55 - Jean-Philippe Lang

- Target version deleted (0.7.1)

- Affected version (unused) set to 0.7.0

#10 - 2008-05-17 13:02 - Jean-Philippe Lang

- Status changed from New to Closed

Fixed in r1433. Filename will be hashed if needed.

Files

图.ppt 314 KB 2008-02-28 li wei

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://202.99.27.201:8081
https://www.redmine.org/projects/redmine/repository/svn/revisions/1433
http://www.tcpdf.org

